extends Node2D

## 状態.
enum eState {
	MAIN,
	DIALOG, # ダイアログが開いている.
}

## OKダイアログ
@onready var _ok_dialog = $AcceptDialog

## 状態.
var _state = eState.MAIN

func _ready() -> void:
	# OKダイアログを中央に表示.
	_ok_dialog.popup_centered()
	_state = eState.DIALOG # ダイアログ開いた状態.

func _process(delta: float) -> void:
	match _state:
		eState.MAIN:
			pass
		eState.DIALOG:
			if _ok_dialog.has_focus() == false:
				# ダイアログが閉じられた.
				print("OKダイアログを閉じた")
				_state = eState.MAIN
